# FacetMeshIterator Class Reference
[Data Structures]

Inheritance diagram for FacetMeshIterator:

List of all members.

## Public Member Functions
| FacetMeshIterator (const FacetMesh *mesh)
| FacetMeshIterator ()
void | Initialize (const FacetMesh *mesh)
| Initialiaze the iterator.
int32 | GetIndexA () const
int32 | GetIndexB () const
int32 | GetIndexC () const
uint32 | GetUVSpaceID () const
void | First ()
| Move to the first element in the mesh.
void | Next ()
| Moves to the next triangle in the mesh.
boolean | More ()
| Returns true if there are more triangles in the mesh.
## Protected Attributes
boolean | fHasUVSpaces
uint32 | fCurIndex
const TMCArray< Triangle > * | fFacets
const TMCArray< uint32 > * | fUVSpaceID
const Triangle * | fCurrentFacet
TMCCountedPtr< FacetMesh > | fFacetMesh

## Detailed Description

Iterates over a FacetMesh. Note that it is a pretty inefficient way to iterate over a FacetMesh and it is usually better to directly access the FacetMesh.

usage :

     while (iter.Next())
     {
        value=iter.Get...();
     }

## Constructor & Destructor Documentation

FacetMeshIterator::FacetMeshIterator | ( | const FacetMesh * | mesh | ) |

FacetMeshIterator::FacetMeshIterator | ( |  | ) |

## Member Function Documentation

void FacetMeshIterator::First | ( |  | ) | `[inline]`

Move to the first element in the mesh.

int32 FacetMeshIterator::GetIndexA | ( |  | ) | const`[inline]`

int32 FacetMeshIterator::GetIndexB | ( |  | ) | const`[inline]`

int32 FacetMeshIterator::GetIndexC | ( |  | ) | const`[inline]`

uint32 FacetMeshIterator::GetUVSpaceID | ( |  | ) | const`[inline]`

void FacetMeshIterator::Initialize | ( | const FacetMesh * | mesh | ) |

Initialiaze the iterator.

Reimplemented in FacetMeshFacetIterator.

boolean FacetMeshIterator::More | ( |  | ) | `[inline]`

Returns true if there are more triangles in the mesh.

Reimplemented in FacetMeshFacetIterator.

void FacetMeshIterator::Next | ( |  | ) | `[inline]`

Moves to the next triangle in the mesh.

## Member Data Documentation

uint32 FacetMeshIterator::fCurIndex`[protected]`

const Triangle* FacetMeshIterator::fCurrentFacet`[protected]`

TMCCountedPtr<FacetMesh> FacetMeshIterator::fFacetMesh`[protected]`

const TMCArray<Triangle>* FacetMeshIterator::fFacets`[protected]`

boolean FacetMeshIterator::fHasUVSpaces`[protected]`

const TMCArray<uint32>* FacetMeshIterator::fUVSpaceID`[protected]`

The documentation for this class was generated from the following file:

- PublicUtilities.h